cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

This product reached the end of support date on March 31, 2021.

Can we degrade Client version?

lmalw
Contributor

Hi If accidentally someone upgrades its client from 7.0 to 7.1 and he wants to downgrade to 7.0 can we do that?

6 REPLIES 6

JamesKitson
Dynatrace Leader
Dynatrace Leader

I'm not aware of any way to downgrade a client. Did the client connect to a 7.1 server and upgrade automatically? I thought that would require installing the new 7.1 client but I haven't tried that yet.

Regardless, you can download the 2017 May (7.1) client by navigating to https://www.dynatrace.com/support/downloads/ and going into AppMon.Then just install the required client (might want to uninstall the 7.1 one first if you won't need it).

James

@James K.

Apart from uninstalling and re-installing client is there any other way we can resolve this issue? Guess deleting client folder of 7.1 created on machine might help ...

Because you have 2 different environment you would need 2 different clients. I would recommend in this case for the 7.0 server to use the portable client as it can run in the folder it is extracted into.

Joe_Hoffman
Dynatrace Leader
Dynatrace Leader

+1 for what James said.

However I'm not sure I see the use case for this action. Why would you feel the need to downgrade?

@Joseph M. H.

One of our user accidentally upgraded client to 7.1 version which he was not supposed to do because half of our environment is still in 7.0 version.

The_AM
Dynatrace Pro
Dynatrace Pro

Hi Lalit,

As has been alluded to, the 2017 May 7.0 client will not work to connect to the 2018 April 7.1 servers. Although you may still get the initial connection to the server to perform the upgrade to the client, they really are not all that compatible. (Actually the upgrade message informs you that by proceeding to update, you'll no longer be able to connect to 7.0 servers).

The upgrade between 7.0 and 7.1 is different to say an update from 7.0 to 7.0.9. Updates are much simpler to remove from a client. Upgrades on the other hand will require a re-installation.
You basically have three options:

  1. Install 7.0 and 7.1 into separate installation directories and configure servers accordingly.
  2. Continue using the upgraded 7.1 client and a webstart client for each 7.0 server you'd like to connect (browse to the server web admin interface, default port 8021, and click on webstart to launch the client (requires JRE >= 1.8, you may use the JRE that comes bundled with the installed client on Windows and Linux).
  3. Continue using the upgraded 7.1 client and portable client for 7.0 servers. Portable Windows client may be downloaded from https://downloads.dynatrace.com and browsing to Dynatrace Application Monitoring --> 2017 May --> Windows --> Client Portable 7.0.xx (yyyy-mm-dd)

Regards,

Andrew

Regards,
Andrew M.